SND_PCM_LIB_MMAP_IOM(9)

NAME
snd_pcm_lib_mmap_iomem - Default PCM data mmap function for I/O mem

SYNOPSIS

int snd_pcm_lib_mmap_iomem(struct snd_pcm_substream * substream, struct vm_area_struct * area);

ARGUMENTS

substream
    PCM substream

area
    VMA

DESCRIPTION

When your hardware uses the iomapped pages as the hardware buffer and wants to mmap it, pass this function as mmap pcm_ops. Note that this is supposed to work only on limited architectures.

COPYRIGHT